Skip to main content
GET
/
api
/
data-platform
/
supplier-constraints
Get supplier constraints for an organization
curl --request GET \
  --url https://app.solya.app/api/data-platform/supplier-constraints \
  --header 'Authorization: Bearer <token>'
{
  "lineConstraints": [
    {
      "brandId": null,
      "createdAt": "2024-03-01T10:00:00.000Z",
      "familyId": "family-footwear",
      "id": "svc-uuid-0001",
      "maxQuantity": null,
      "moq": 10,
      "packMultiple": null,
      "productId": null,
      "supplierId": "sup-uuid-sportswear",
      "updatedAt": null,
      "variantId": null
    },
    {
      "brandId": null,
      "createdAt": "2024-03-15T08:30:00.000Z",
      "familyId": null,
      "id": "svc-uuid-0002",
      "maxQuantity": 200,
      "moq": 24,
      "packMultiple": 6,
      "productId": null,
      "supplierId": "sup-uuid-sportswear",
      "updatedAt": "2024-05-20T14:00:00.000Z",
      "variantId": "var-uuid-running-shoe-42"
    }
  ],
  "orderConstraints": [
    {
      "createdAt": "2024-01-15T09:00:00.000Z",
      "id": "soc-uuid-0001",
      "leadTimeDays": 30,
      "minOrderQuantity": 100,
      "minOrderValue": 5000,
      "supplierId": "sup-uuid-sportswear",
      "updatedAt": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Static internal-ops token used by the data platform and internal cron jobs (e.g. zombie-run sweep). Validated via requireBearerToken inside the handler against a service-specific environment variable.

Query Parameters

organizationId
string
required

Identifier of the organization whose supplier constraints are queried

Minimum string length: 1
supplierId
string

Optional supplier filter; when omitted, returns constraints for all suppliers in the org

Minimum string length: 1

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true